/* kd.h -- header file for kd.c
 * typedefs, defaults, etc.
 * intercep.h Ned Konz 8/1/87
 * renamed/modified to kd.h for Kanji display driver by Izumi Ohzawa 1-7-90
 */

/* some syntactic sugar */
typedef void interrupt (far *IFP)();	/* pointer to interrupt function */
typedef IFP far *IFPP;			/* and pointer to those */

/* structure which makes up list of interrupts to capture */
typedef struct {
	int intnum;	/* which interrupt */
	IFP oldint;	/* old handler */
} Intblock;

/* structure which is left on stack after interrupt */
typedef struct {
	IFP ipcs;	/* IP, CS */
	unsigned flags;
} Intpack;

/* structure which is pushed onto stack by entry into
 * an interrupt function in Turbo C
 */
typedef struct {
	unsigned bp,  di,  si,  ds,  es, dx;
	union {
		unsigned old[3];	/* actually cx, bx, and ax */
		Intpack new;	/* where we will chain to */
	} ovl;
} Regpack;


